SystemOrganization addCategory: #'BICHOS-Test'!

TestCase subclass: #TestPunto1Al2
	instanceVariableNames: 'fede'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 19:39'!
setUp

fede:= Hormiga new.! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 19:50'!
testCantidadDeComidaQueLlevaLaHormiga

fede comidaQueLleva:5.

self assert: (fede comidaQueLleva )equals: 5.! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 19:56'!
testHormigaEstaAlLimiteCuandoNoTransportaNada

fede comidaQueLleva: 0.

self deny: (fede alLimite).! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 20:11'!
testHormigaEstaAlLimiteCuandoTransporta10

fede comidaQueLleva: 10.

self assert: (fede alLimite).! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 20:09'!
testHormigaEstaAlLimiteCuandoTransporta5mg

fede comidaQueLleva: 5.

self deny: (fede alLimite).! !

TestCase subclass: #TestPunto3Al7
	instanceVariableNames: 'fede agustin gonzalo hormiguero distanciasTotales ubicacionesPorLasQuePaso ubicacionesPorEstado pozo planta mansion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 00:24'!
setUp

fede:= Hormiga new.

agustin:= Hormiga new.

gonzalo:= Hormiga new.

hormiguero:= Hormiguero new.

pozo:= Hormiguero new.

mansion:= Hormiguero new.

planta:= Hormiguero new.

distanciasTotales:=Bag new.

ubicacionesPorLasQuePaso:= OrderedCollection new.

ubicacionesPorEstado:= OrderedCollection new.

hormiguero agregarHormiga: fede.! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 00:41'!
testDistanciaUltimosViajes

	fede ubicacion: 0@0.
	
	hormiguero ubicacion: 500@900.
	
	pozo ubicacion: 1@1.
	
	planta ubicacion: 3@4.
	
	mansion ubicacion: 5@12.
	
	
	fede moveteA: hormiguero.
	
	fede moveteA: pozo.

	fede moveteA: planta.
	
	fede moveteA: mansion.
	
	
	self assert: (fede distanciaRecorridaUltimasUbicaciones: 3) equals: 19.! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 01:00'!
testHormigaDistanciaRecorridaTotal

	fede ubicacion: 0@0.
	
	hormiguero ubicacion: 5@12.
	
	fede moveteA: hormiguero.


	self assert: (fede distanciaRecorrida) equals: 13.! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 01:00'!
testHormigaPasoPorUbicacion

	fede ubicacion: 1@1.
	
	hormiguero ubicacion: 0@0.
	
	fede moveteA: hormiguero.
	

	self assert: (fede ultimasUbicacionesPorLasQuePaso includes: hormiguero).! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 01:17'!
testPromedioDistanciaEnUltimasUbicaciones

	fede ubicacion: 0@0.
	
	pozo ubicacion: 1@1.
	
	hormiguero ubicacion: 5@12.
	
	mansion ubicacion: 9@40.
	
	planta ubicacion: 20@21.
	
	
	fede moveteA: pozo.
	
	fede moveteA: hormiguero.
	
	fede moveteA: mansion.
	
	fede moveteA: planta.


	self assert: (fede distanciaPromedioUltimasUbicaciones:2)  equals: 35.! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 00:58'!
testPromedioDistanciaRecorridaTotal

	fede ubicacion: 0@0.
	
	pozo ubicacion: 1@1.
	
	hormiguero ubicacion: 5@12.
	
	mansion ubicacion: 9@40.
	
	planta ubicacion: 20@21.
	
	
	fede moveteA: pozo.
	
	fede moveteA: hormiguero.
	
	fede moveteA: mansion.
	
	fede moveteA: planta.


	self assert: (fede distanciaPromedio) equals: 21.! !

TestCase subclass: #TestPunto8Al13
	instanceVariableNames: 'fede agustin gonzalo hormiguero'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/28/2015 23:29'!
setUp


fede:= Hormiga new.
agustin:= Hormiga new.
gonzalo:= Hormiga new.
hormiguero:= Hormiguero new.
hormiguero depositoDeComida: 0.! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/28/2015 23:44'!
testComidaEnTotal

	hormiguero ubicacion: 0@0.
	fede ubicacion: 0@0.
	agustin ubicacion: 0@0.
	gonzalo ubicacion: 0@0.

	fede comidaQueLleva: 20.
	agustin comidaQueLleva: 10.
	gonzalo comidaQueLleva: 1.
		
	fede llevarAlimentoA:  hormiguero.
	agustin llevarAlimentoA: hormiguero.

	self assert: (hormiguero depositoDeComida) equals: 31.! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 20:17'!
testSinHormigas

self assert: (hormiguero cantidadHormigasTotales) equals: 0.! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 20:12'!
testVariasHormigas
hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: agustin.
hormiguero agregarHormiga: gonzalo.

self assert: (hormiguero cantidadHormigasTotales) equals: 3.! !
